Summary: LDAP User Management
Name: ldapusermgmt
Version: 0.1.1
Release: 1
# URL: 
Source0: %{name}-%{version}.tar.gz
License: GPL
Group: Applications/System
BuildRoot: %{_tmppath}/%{name}-root
BuildArchitectures: noarch
# openldap-servers are required because of slappasswd
Requires: openldap-servers openldap-clients ldifusermgmt bashini

%description
LDAP user mangement tools with support for samba domains and automounter.

%prep
%setup -q

%build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/{etc/%{name},usr/bin,usr/share/doc/%{name}-%{version}}
mkdir -p $RPM_BUILD_ROOT/usr/lib/%{name}/resolvers/

cp -a bin/* $RPM_BUILD_ROOT/usr/bin/.
cp -a config/* $RPM_BUILD_ROOT/etc/%{name}/.
cp -a doc/* $RPM_BUILD_ROOT/usr/share/doc/%{name}-%{version}/.

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/etc/%{name}
/usr/bin/ldapuseradd
/usr/lib/%{name}/resolvers
%config /etc/%{name}/%{name}.conf
%doc /usr/share/doc/%{name}-%{version}

